Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452408 - ehci_hcd reset the usb-storage device before scsi captures it
Summary: ehci_hcd reset the usb-storage device before scsi captures it
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-22 09:58 UTC by Feng Yu
Modified: 2009-07-14 18:27 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 18:27:15 UTC


Attachments (Terms of Use)

Description Feng Yu 2008-06-22 09:58:29 UTC
Description of problem:

When some models of usb-storage devices are plugged in,
the device is rested when usb-stroage is 
'waiting for device to settle before scanning'

Version-Release number of selected component (if applicable):
kernel-2.6.25.6-55.fc9.i686
The device:

Bus 003 Device 007: ID 04b4:1002 Cypress Semiconductor Corp. CY7C63001 R100 FM Radio

It is actually a usb storage device.

How reproducible:
always

Steps to Reproduce:
1. Plug in the device
2. Nothing happens
3. Check dmesg and find the following lines:
----
usb 1-3: new high speed USB device using ehci_hcd and address 2
usb 1-3: configuration #1 chosen from 1 choice
scsi15 : SCSI emulation for USB Mass Storage devices
usb 1-3: New USB device found, idVendor=04b4, idProduct=1002
usb 1-3: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 1-3: Product: Mass Storage Device
usb 1-3: Manufacturer: generic
usb-storage: device found at 2
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
usb 1-3: reset high speed USB device using ehci_hcd and address 2
usb 1-3: reset high speed USB device using ehci_hcd and address 2
usb 1-3: reset high speed USB device using ehci_hcd and address 2
usb 1-3: reset high speed USB device using ehci_hcd and address 2
----

Actual results:
The device is not recognized.

Expected results:
The device is not resetted by ehci_hcd.

Additional info:
If ehci_hcd is removed by
/sbin/modprobe -r ehci_hcd
the device will be properly configured, and the nautilus window will pop up.
dmesg (without ehci_hcd)
----
usb 3-1: new full speed USB device using uhci_hcd and address 8
usb 3-1: configuration #1 chosen from 1 choice
scsi16 : SCSI emulation for USB Mass Storage devices
usb 3-1: New USB device found, idVendor=04b4, idProduct=1002
usb 3-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
usb 3-1: Product: Mass Storage Device
usb 3-1: Manufacturer: generic
usb-storage: device found at 8
usb-storage: waiting for device to settle before scanning
usb-storage: device scan complete
scsi 16:0:0:0: Direct-Access     IPED     MP4              1.00 PQ: 0 ANSI: 2
sd 16:0:0:0: [sdb] 63488 512-byte hardware sectors (33 MB)
sd 16:0:0:0: [sdb] Write Protect is off
sd 16:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 16:0:0:0: [sdb] Assuming drive cache: write through
sd 16:0:0:0: [sdb] 63488 512-byte hardware sectors (33 MB)
sd 16:0:0:0: [sdb] Write Protect is off
sd 16:0:0:0: [sdb] Mode Sense: 03 00 00 00
sd 16:0:0:0: [sdb] Assuming drive cache: write through
 sdb: unknown partition table
sd 16:0:0:0: [sdb] Attached SCSI removable disk
sd 16:0:0:0: Attached scsi generic sg2 type 0
SELinux: initialized (dev sdb, type vfat), uses genfs_contexts
---

A little google gives this thread at kernel.org which may be related:
http://linux.derkeiler.com/Mailing-Lists/Kernel/2008-01/msg11666.html

There is also a patch in the thread I don't know if it is merged into the main
stream nor if it is related at all.

Some further google suggests this bug has been there for a long time.

Comment 1 Pete Zaitcev 2008-06-22 19:47:19 UTC
Interesting. Indeed looks like it wasn't fixed (presumably because you need
to have a duff device which trips resets to trigger it). Here's a better URL:
 http://lkml.org/lkml/2008/1/29/223

Comment 2 Bug Zapper 2009-06-10 01:43:38 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2009-07-14 18:27:15 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.